package com.qianwankj.vt.vonage.flutter_vonage

/**
 * 定义部分常量
 */
object Constants {

    private const val PREFIX_NAME = "com.qianwankj.vt.vonage.flutter_vonage/";
    const val METHOD_CHANNEL_NAME = PREFIX_NAME + "method";
    const val EVENT_CHANNEL_NAME = PREFIX_NAME + "event";

    // 执行命令
    const val INIT = "init" // 初始化

    const val LOGIN = "login" // 登录
    const val LOGOUT = "logout" // 登出

    const val CLOSE = "close" // 关闭

    const val CREATE_CONVERSATION = "createConversation" // 创建会话
    const val SEND_MESSAGE = "sendMessage" // 发送消息

    const val CALL = "dial" // 拨号
    const val CALL_ANSWER = "callAnswer" // 接听
    const val CALL_REJECT = "callReject" // 拒接
    const val CALL_END = "callEnd" // 挂断
    const val CALL_EVENT_MUTE = "mute" // 是否静音
    const val CALL_EVENT_SPEAK = "speak" // 是否外放
    const val CALL_EVENT_RECORD = "record" // 是否录音
    const val CALL_EVENT_DTMF = "dtmf" // 通话中的命令


    // 回调结果
    const val CONNECTION_RESULT = "connectionResult" // 连接结果

    const val INCOMING_CALL = "incomingCall" // 来电
    const val INCOMING_CALL_ANSWER = "incomingCallAnswer" // 接通来电
    const val INCOMING_CALL_REJECT = "incomingCallReject" // 拒接来电

    const val OUTGOING_CALL = "outgoingCall" // 拨号
    const val OUTGOING_CALL_HANGUP = "outgoingCallHangUp" // 挂断

    const val CLOSE_CALL = "closeCall" // 关闭拨号

}