/// 初始化参数
class InitParams {
  bool openLog = true;

  InitParams();

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['openLog'] = this.openLog;
    return data;
  }
}

/// 登录参数
class LoginParams {
  String phone; // 手机号
  String jwtToken; // token

  LoginParams(this.phone, this.jwtToken);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['phone'] = this.phone;
    data['jwtToken'] = this.jwtToken;
    return data;
  }
}

/// 消息参数
class MessageParams {
  late String type; // 消息类型 txt、image、map
  late String content; // 当是图片或者地图类型时显示的图片链接
  double lat = 0;
  double lon = 0;

  MessageParams(this.type);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['content'] = this.content;
    data['lat'] = this.lat;
    data['lon'] = this.lon;
    return data;
  }
}

/// 拨号参数
class DialParams {
  late String type;
  late String fromNumber;
  late String toNumber;

  DialParams(this.type, this.fromNumber, this.toNumber);

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = this.type;
    data['fromNumber'] = this.fromNumber;
    data['toNumber'] = this.toNumber;
    return data;
  }
}
